"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultCartesian = void 0;
var react_1 = __importDefault(require("react"));
var utils_1 = require("./utils");
var components_1 = require("../components/components");
exports.default = {
    title: "Play",
    component: components_1.Play,
    argTypes: {},
};
var Template = function () { return (react_1.default.createElement(utils_1.CustomMathbox, { containerStyle: { height: 450 } },
    react_1.default.createElement(components_1.Cartesian, { range: [
            [-5, 5],
            [-2, 2],
            [-2, 2],
        ] },
        react_1.default.createElement(components_1.Grid, { axes: "xy" }),
        react_1.default.createElement(components_1.Interval, { width: 64, channels: 2, expr: function (emit, x, i, t) {
                var y = Math.sin(x - t);
                emit(x, y);
            } }),
        react_1.default.createElement(components_1.Play, { delay: 1, speed: 1000, script: [{ props: { live: true } }, { props: { live: false } }] }),
        react_1.default.createElement(components_1.Line, { id: "line", color: 0x3090ff, width: 4 }),
        react_1.default.createElement(components_1.Play, { target: "#line", delay: 1, pace: 2, script: [
                { props: { opacity: 1 } },
                { props: { opacity: 0.25 } },
                { props: { color: "red" } },
            ] })))); };
exports.DefaultCartesian = Template.bind({});
exports.DefaultCartesian.args = {};
//# sourceMappingURL=Play.stories.js.map