import React from "react";
import { MathboxSelection } from "mathbox";
declare const _default: import("@storybook/types").ComponentAnnotations<import("@storybook/react/dist/types-0a347bb9").R, import("mathbox").GridProps & React.RefAttributes<MathboxSelection<"grid">> & {
    liveProps?: {
        id?: ((t: number, dt: number) => import("mathbox").Optional<string>) | undefined;
        classes?: ((t: number, dt: number) => import("mathbox").Optional<string | string[]>) | undefined;
        visible?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        opacity?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        color?: ((t: number, dt: number) => string | number | import("three").Color | number[] | undefined) | undefined;
        blending?: ((t: number, dt: number) => import("mathbox").Optional<import("mathbox").BlendingModes>) | undefined;
        zWrite?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        zTest?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        zIndex?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        zBias?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        zOrder?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        width?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        depth?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        join?: ((t: number, dt: number) => unknown) | undefined;
        stroke?: ((t: number, dt: number) => unknown) | undefined;
        proximity?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        closed?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        lineX?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        lineY?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        crossed?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        closedX?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        closedY?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        axes?: ((t: number, dt: number) => import("mathbox").Optional<string | import("mathbox").Axes[]>) | undefined;
        origin?: ((t: number, dt: number) => number | number[] | import("three").Vector4 | undefined) | undefined;
        detailX?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        crossedX?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        detailY?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        crossedY?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        divideX?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        unitX?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        baseX?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        modeX?: ((t: number, dt: number) => unknown) | undefined;
        startX?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        endX?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        zeroX?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        factorX?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        niceX?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        divideY?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        unitY?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        baseY?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        modeY?: ((t: number, dt: number) => unknown) | undefined;
        startY?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        endY?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        zeroY?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        factorY?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        niceY?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        rangeX?: ((t: number, dt: number) => number | number[] | import("three").Vector2 | null | undefined) | undefined;
        rangeY?: ((t: number, dt: number) => number | number[] | import("three").Vector2 | null | undefined) | undefined;
    } | undefined;
}>;
export default _default;
export declare const DefaultPoint: import("@storybook/types").AnnotatedStoryFn<import("@storybook/react/dist/types-0a347bb9").R, import("mathbox").PointProps & React.RefAttributes<MathboxSelection<"point">> & {
    liveProps?: {
        id?: ((t: number, dt: number) => import("mathbox").Optional<string>) | undefined;
        classes?: ((t: number, dt: number) => import("mathbox").Optional<string | string[]>) | undefined;
        visible?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        opacity?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        color?: ((t: number, dt: number) => string | number | import("three").Color | number[] | undefined) | undefined;
        blending?: ((t: number, dt: number) => import("mathbox").Optional<import("mathbox").BlendingModes>) | undefined;
        zWrite?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        zTest?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        zIndex?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        zBias?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        zOrder?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        size?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        sizes?: ((t: number, dt: number) => any) | undefined;
        shape?: ((t: number, dt: number) => unknown) | undefined;
        optical?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        fill?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        depth?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        points?: ((t: number, dt: number) => any) | undefined;
        colors?: ((t: number, dt: number) => any) | undefined;
    } | undefined;
}>;
export declare const LiveProps: import("@storybook/types").AnnotatedStoryFn<import("@storybook/react/dist/types-0a347bb9").R, import("mathbox").PointProps & React.RefAttributes<MathboxSelection<"point">> & {
    liveProps?: {
        id?: ((t: number, dt: number) => import("mathbox").Optional<string>) | undefined;
        classes?: ((t: number, dt: number) => import("mathbox").Optional<string | string[]>) | undefined;
        visible?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        opacity?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        color?: ((t: number, dt: number) => string | number | import("three").Color | number[] | undefined) | undefined;
        blending?: ((t: number, dt: number) => import("mathbox").Optional<import("mathbox").BlendingModes>) | undefined;
        zWrite?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        zTest?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        zIndex?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        zBias?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        zOrder?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        size?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        sizes?: ((t: number, dt: number) => any) | undefined;
        shape?: ((t: number, dt: number) => unknown) | undefined;
        optical?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        fill?: ((t: number, dt: number) => import("mathbox").Optional<boolean>) | undefined;
        depth?: ((t: number, dt: number) => import("mathbox").Optional<number>) | undefined;
        points?: ((t: number, dt: number) => any) | undefined;
        colors?: ((t: number, dt: number) => any) | undefined;
    } | undefined;
}>;
